summaryrefslogtreecommitdiff
path: root/include/inject.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-05 05:43:38 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-05 05:43:38 +0100
commiteb882de94cbe78e575b97ced611a06553f94dbc7 (patch)
tree9c14962017359a6d906c6e485df688f89d10fc4c /include/inject.sh
parent153dd76a82e98a7260424cf37d5a139fff39d2ab (diff)
inject.sh: tidy up intel me handling
Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/inject.sh')
-rw-r--r--include/inject.sh18
1 files changed, 6 insertions, 12 deletions
diff --git a/include/inject.sh b/include/inject.sh
index 0e81c63f..c6c8c2d2 100644
--- a/include/inject.sh
+++ b/include/inject.sh
@@ -142,8 +142,12 @@ extract_intel_me()
[ "$ME11bootguard" = "y" ] && x_ ./mk -f deguard
extract_intel_me_bruteforce
- if [ "$ME11bootguard" = "y" ]; then
- apply_me11_deguard_mod
+ if [ "$ME11bootguard" = "y" ]; then (
+ x_ cd src/deguard/
+ x_ ./finalimage.py --delta "data/delta/$ME11delta" --version \
+ "$ME11version" --pch "$ME11pch" --sku "$ME11sku" \
+ --fake-fpfs data/fpfs/zero --input "$_metmp" --output "$_me"
+ ) || err "Error running deguard for $_me - $dontflash"
else
mv "$_metmp" "$_me" || err "!mv $_metmp $_me - $dontflash"
fi
@@ -185,16 +189,6 @@ extract_intel_me_bruteforce()
rm -Rf "$sdir" || err "extract_intel_me: !rm -Rf $sdir - $dontflash"
}
-apply_me11_deguard_mod()
-{
- (
- x_ cd src/deguard/
- x_ ./finalimage.py --delta "data/delta/$ME11delta" --version \
- "$ME11version" --pch "$ME11pch" --sku "$ME11sku" --fake-fpfs \
- data/fpfs/zero --input "$_metmp" --output "$_me"
- ) || err "Error running deguard for $_me - $dontflash"
-}
-
extract_archive()
{
[ $# -gt 2 ] && [ "$3" = "fsp" ] && x_ python \